Package org.pushingpixels.lafwidget.tree.dnd

# Interface TreeTreeDnDListener

All Superinterfaces:
  `EventListener`

public interface TreeTreeDnDListener extends EventListener
TreeTreeDnDListener represents a listener that receives notifications when some node from a tree is moved or copied into itself (or into another tree).

## Method Summary

Modifier and Type
Method
Description
`void`
`drop(TreeTreeDnDEvent anEvent)`
Invoked when the drop operation happens.
`void`
`mayDrop(TreeTreeDnDEvent anEvent)`
Invoked to verify that a node may be dropped into another node.

## Method Details

### mayDrop

void mayDrop(TreeTreeDnDEvent anEvent) throws DnDVetoException
Invoked to verify that a node may be dropped into another node.

Parameters:
  `anEvent` - a TreeTreeDnDEvent the event containing information about the Drag and Drop operation.
Throws:
  `DnDVetoException` - if the drag and drop operation is not valid.

### drop

void drop(TreeTreeDnDEvent anEvent) throws DnDVetoException
Invoked when the drop operation happens.

Parameters:
  `anEvent` - a TreeTreeDnDEvent the event containing information about the Drag and Drop operation.
Throws:
  `DnDVetoException` - if the drag and drop operation is not valid.